Bug 1573462 - wrong SinglePciQxl initialization during import from OVF
Summary: wrong SinglePciQxl initialization during import from OVF
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.2.2
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.2.4
: ---
Assignee: Arik
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2018-05-01 10:56 UTC by Michal Skrivanek
Modified: 2018-06-26 08:35 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-4.2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-26 08:35:05 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 90842 master MERGED core: disable single-qxl-pci if needed on all import vm flows 2018-05-03 12:15:50 UTC
oVirt gerrit 90920 ovirt-engine-4.2 MERGED core: disable single-qxl-pci if needed on ImportVm 2018-05-07 09:31:28 UTC

Description Michal Skrivanek 2018-05-01 10:56:55 UTC
https://github.com/oVirt/ovirt-engine/blob/master/backend/manager/modules/utils/src/main/java/org/ovirt/engine/core/utils/ovf/OvfReader.java#L449 causes the single PCI setting to be enabled when there's no SinglePciQxl item in the OVF (oVirt specific). This causes invalid configuration for all Windows guest OSes.

When missing we should initialize it with the OS type default.

Comment 1 Richard W.M. Jones 2018-05-01 11:07:09 UTC
Is any change needed to the OVF that virt-v2v generates?

Comment 2 Richard W.M. Jones 2018-05-01 11:14:43 UTC
I chatted to Michal on IRC and the answer is no.

Comment 3 Nisim Simsolo 2018-06-20 10:22:03 UTC
Verified:
ovirt-engine-4.2.4.2-0.1.el7_3
vdsm-4.20.29-1.el7ev.x86_64
libvirt-client-3.9.0-14.el7_5.6.x86_64
qemu-kvm-rhev-2.10.0-21.el7_5.3.x86_64
sanlock-3.6.0-1.el7.x86_64
virt-v2v-1.36.10-6.10.rhvpreview.el7ev.x86_64

Verification scenario: 
1. From host CLI shell, use virt-v2v command to import different Windows OS types and Linux OS types to RHV using VDDK input mode (-io vddk).
2. From RHV Webadmin, edit each VM -> console and verify:
Linux VMs: OS type is equal to source VM, single PCI checkbox is not grayed out and checked. 
Windows VMs: OS type is equal to source VM, Single PCI checkbox is grayed out and inaccessible
3. Run each VM and verify VMs are running properly and VM console can be opened.

Comment 4 Sandro Bonazzola 2018-06-26 08:35:05 UTC
This bugzilla is included in oVirt 4.2.4 release, published on June 26th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.4 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.